import 'package:fis_lib_media_rt/implementations/nt_rtmp/channel/channel.dart';
import 'package:flutter/material.dart';
import 'inner_view_stub.dart'
    if (dart.library.html) './inner_view_web.dart'
    if (dart.library.io) './inner_view_io.dart';

class NTRemoteView extends StatefulWidget {
  final NTPlayChannel channel;

  const NTRemoteView({
    super.key,
    required this.channel,
  });

  @override
  State<StatefulWidget> createState() => _NTRemoteViewState();
}

class _NTRemoteViewState extends State<NTRemoteView> {
  @override
  Widget build(BuildContext context) {
    return InnerView(channel: widget.channel);
  }
}
